Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28717 - Please enable Rollbacker, Autopatroller, Flood flag, and Flagged Revisions on Bengali Wikipedia
Please enable Rollbacker, Autopatroller, Flood flag, and Flagged Revisions on...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal major with 1 vote (vote)
: ---
Assigned To: Priyanka Dhanda
http://bn.wikipedia.org
: shell
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2011-04-27 14:22 UTC by Tanvir Rahman
Modified: 2012-10-04 09:53 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tanvir Rahman 2011-04-27 14:22:19 UTC
Please enable Rollbacker, Autopatroller, Flood flag, and Flagged Revisions extension on Bengali Wikipedia (http://bn.wikipedia.org). Make sure all flags can be granted and removed by local administrators to the non-admin users. Also administrators should have the technical ability to grant flood flag to other users as well. Please take a look at http://bit.ly/fm6dXu for local community discussion and consensus. Thanks in advance.
Comment 1 Belayet Hossain 2011-04-27 15:19:06 UTC
(In reply to comment #0)
> Please enable Rollbacker, Autopatroller, Flood flag, and Flagged Revisions
> extension on Bengali Wikipedia (http://bn.wikipedia.org). Make sure all flags
> can be granted and removed by local administrators to the non-admin users. Also
> administrators should have the technical ability to grant flood flag to other
> users as well. Please take a look at http://bit.ly/fm6dXu for local community
> discussion and consensus. Thanks in advance.

There is no discussion  and consensus happened on the Flagged Revisions at Bengali Wikipedia. We discuss about the Rollbacker, Riviewer, Autopatroller, Flood flag. 

So I am request to enable Rollbacker, Riviewer, Autopatroller, Flood flag features except Flagged Revision. Community need to raise the issue and discuss more about it.
Comment 2 Tanvir Rahman 2011-04-27 15:27:11 UTC
FlaggedRevs enables reviewer flag. Only a reviewer or administrator can accept a pending change of an article which is protected under flagged revs.
Comment 3 Belayet Hossain 2011-04-27 15:37:21 UTC
(In reply to comment #2)
> FlaggedRevs enables reviewer flag. Only a reviewer or administrator can accept
> a pending change of an article which is protected under flagged revs.

Still there is lot of scope to disucss about the FlaggedRevs at Bengali Wikipedia. In the discussion we discuss about the impact on wikipedia users or contributor. But that feature will create the impact on the article as well. At the current situation whether Bengali Wikipedia need that feature or not is matter of serious discussion.

So I'd like to request to discuss it separately with the community first and then after the consensus enable it.
Comment 4 Prachatos Mitra (Pmlineditor) 2011-04-27 16:39:25 UTC
As a user uninvolved in the discussion, who was pointed to this by someone involved in it (and as someone who understands the language), I'd say there is consensus to implement Rollbacker, Autopatroller, Flood flag, and Reviewer in Bengali Wikipedia. If I consider Bellayet to be in opposition of the implementation of the reviewer flag, I see three others in agreement that it should be implemented. It was mentioned that the reviewer flag would help in maintenance of BLPs/articles on sensitive issues and for that matter, that reviewer flag is a part of FlaggedRevs is usually known and it is assumed that most when a certain flag is proposed to be implemented, people would review what the flag is about. If I were to assume that everyone did check what the Reviewer flag was, I would say that they knew enabling it would mean enabling FlaggedRevs. So I'd say there is consensus to implement this. Of course, I am not a part of the community and the community can think otherwise.

Pmlineditor.
Comment 5 Nasir Khan Saikat 2011-04-27 18:53:45 UTC
all the mentioned features should be added, because i do not think that by adding these extensions users or contributors will fall into a trouble. as i found that these extensions were created to maintain the Wikipedia in a efficient way and i wish by adding these features we will be able to do so. 

nasir khan saikat
Comment 6 Roan Kattouw 2011-04-27 19:00:17 UTC
I thought the discussion had already taken place and consensus was achieved? Please discuss these things on-wiki, not on Bugzilla.
Comment 7 Jayanta Nath 2011-04-28 05:45:29 UTC
Please enable all as said by Tanvir.
Comment 8 Tanvir Rahman 2011-04-29 15:30:19 UTC
(In reply to comment #6)
> I thought the discussion had already taken place and consensus was achieved?
> Please discuss these things on-wiki, not on Bugzilla.

Thanks for the reminder. There is a solid base of consensus on the local community discussion about implementing these changes. Four supports against one oppose, which made 80% votes in favor (including 3 sysop supports). I belive, this is regarded as local community consensus for a small wiki like Bengali Wikipedia.

Please note: For FlaggedRevs, we would like to have the same settings like the current enwiki settings. See that here: http://en.wikipedia.org/?&oldid=420880541. Pending changes should not be applied automatically on any pages of any namespaces. It should only be applied on specific pages when administrators assign the settings/protections (like semi and full protection) there. If you have any question about settings, feel free to ask us. Thanks.
Comment 9 Tanvir Rahman 2011-05-06 03:57:19 UTC
Re-assigned to Priyanka Dhanda.
Comment 10 Priyanka Dhanda 2011-05-20 21:54:00 UTC
I set up autopatrolled, rollbacker and flaggedrevs. However Tim said you had discussed about checking on foundation-l whether it's ok to turn on the flood flag for individual wikis.  Any update on that?
Comment 11 Jayanta Nath 2011-05-21 04:37:47 UTC
Thank you Priyanka Dhanda
Comment 12 Tanvir Rahman 2011-05-21 04:49:50 UTC
(In reply to comment #10)
> I set up autopatrolled, rollbacker and flaggedrevs. However Tim said you had
> discussed about checking on foundation-l whether it's ok to turn on the flood
> flag for individual wikis.  Any update on that?

Tim said, he could enable flood flag for all wikis, but if I need to get it enabled only for Bengali Wikipedia, then I have to wait for you. :) And I did not ask for that in foundation-l, I don't think all Wikis need this flag. For example the recent changes of Commons and English Wikipedia are always flooding, and it's true for all big wikis too. They don't need a flood flag. But we do, since we have relatively low traffic there, and we don't want to get it flooded with some continuous and repetitive maintenance jobs.

For your information, flood flag is already enabled for individual wiki, such as Meta. There are few others AFAIH. Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links